Subject: Re: [-next July 9 - s390 ] Badness at fs/sysfs/symlink.c:82 during qeth initalization

From: Sachin Sant <[email-masked]>
Date: Fri, 09 Jul 2010 21:26:40 +0530

Greg KH wrote:
> On Fri, Jul 09, 2010 at 03:57:00PM +0530, Sachin Sant wrote:
>   
>> Eric W. Biederman wrote:
>>     
>>>> With today's next(20100709) qeth interface fails to initialize
>>>> with following Badness message:
>>>>     sysfs: symlink across ns_types 0.0.6000/net:eth0 -> net/eth0
>>>>     
>>>>         
>>> Is this with CONFIG_SYSFS_DEPRECATED set?
>>>
>>> I think I may have made my warning check a little extra strict.
>>>   
>>>       
>> Yes.
>>
>> CONFIG_SYSFS_DEPRECATED=y
>> CONFIG_SYSFS_DEPRECATED_V2=y
>>     
>
> Why do you have those options enabled?  Does your userspace really
> require them?  I want to remove those options soon, and it would be good
> to find out what is still relying on them.
>
> If you disable those options, does it then work?
>   
Not sure when and why i enabled these options.

Without them i don't see any problem (including the badness).

Thanks
-Sachin

> thanks,
>
> greg k-h
> --
> To unsubscribe from this list: send the line "unsubscribe linux-s390" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>   

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------